Skip to content

Balance Info

Use this endpoint to programmatically check your current account balance and credit status.

Check Balance

Queries the credit balance for the authenticated user account.

Request

Endpoint: GET https://llm.siraya.pro/v1/balance

curl https://llm.siraya.pro/v1/balance \
  -H "Authorization: Bearer <API_KEY>"
import requests

url = "https://llm.siraya.pro/v1/balance"
headers = {"Authorization": "Bearer <API_KEY>"}

response = requests.get(url, headers=headers)
print(response.json())

Headers

Header Value
Authorization Bearer <API_KEY> (Required)

Response

Returns a JSON object containing the account name and current credit balance.

{
  "account_name": "user@example.com",
  "credit_balance": 877.875493
}
{
  "error": {
    "message": "Invalid API Key",
    "code": 401
  }
}

[!TIP] You can also view your balance and top up credits in the Siraya AI Dashboard.